Skip to main content

Order Details

The “Order details” endpoint shows the details of one order so the Agent Inbox agent can see more information of one particular order from the customer. Once a Agent Inbox agent clicks on order shown in the “Order list” from Endpoint 2, Endpoint 3 will be called by the parameter “ID” filled with the order_number in the object of “orders” from Endpoint 2 “Order list”.

GET https://example.com/orderdetails?<yourOrderNumber>=$Id

Parameters​

NameRequiredDescription
$IdYesThe order_number of the clicked object of “orders” from Endpoint 2 “Order list”
Response body
{
"details_view": [
{
"display_as": "details",
"data": {
"date": "29-01-2021 12:34",
"status": "In progress",
"payment_status": "Partially paid",
"shipment_status": "Partially shipped",
"": "<div class=\"panel_button\"><div><a href=\"http://yourwebsite.com\" target=\"_blank\">Edit order</a></div></div>"
}
},
{
"display_as": "columns",
"caption": "products",
"data": [
{
"product": "Phone",
"quantity": "1",
"price": "$695.50"
},
{
"product": "Tablet",
"quantity": "2",
"price": "$898.00"
},
{
"product": "Shipment",
"quantity": "",
"price": "$10.00"
},
{
"product": "Total",
"quantity": "",
"price": "$1603.50"
}
]
},
{
"display_as": "rows",
"caption": "invoices",
"data": [
{
"shipment": "<a href='http://shop.example.com/invoice/CMI01'>CMI01</a>",
"status": "Paid",
"amount": "$1200.00"
},
{
"shipment": "<a href='http://shop.example.com/invoice/CMI02'>CMI02</a>",
"status": "Not paid",
"amount": "$403.50"
}
]
},
{
"display_as": "rows",
"caption": "Empty",
"data": []
}
]
}

The details_view Array can hold multiple objects. Each object represents a section in the Sidebar view of agent inbox for an order. The above example has 4 sections, the default one and 3 named Products, Invoices and Empty respectively. The sections can return information in one of three data structure types: details, rows, columns.

  • In details mode, the data attribute is an object of multiple key / values of type string. This will show as a 2 column section in the Agent Inbox.
  • columns requires the data attribute to be an array of objects, each object representing a single row. Each object has multiple key/value pairs, where they keys are the column names and the values the column values.
  • rows requires the data attribute to be an array of objects, each object representing a single row, itself containing multiple rows. Each object has multiple key/value pairs, where the keys are the headers of the nested row and the values are the row values.

Response schema​

NameTypeRequiredDescription
display_asStringYesThe layout the information in showed in the panel (details, rows and columns)
captionStringYes*The caption used for this section in the details view of the order
dataArray or ObjectYesThis is the object where all the information is returned.

* A caption is not required for the first section